### File

`packages/core/src/lib/components/euim-toolbar-datepicker/euim-toolbar-datepicker-datetime/euim-toolbar-datepicker-datetime.directive.ts`

### Implements

`OnInit`

### Metadata

Selector | `[euimToolbarDatepickerDatetime]`

### Index

###### Properties
className
###### Methods
onIonChange
###### Inputs
displayFormat id presentation showDefaultButtons size value
###### HostBindings
class
###### HostListeners
ionChange

### Constructor

`constructor(euimToolbarDatepickerComponent: EuimToolbarDatepickerComponent)`
Parameters :
Name | Type | Optional
euimToolbarDatepickerComponent | `EuimToolbarDatepickerComponent` | No

### Inputs

displayFormat
Type : `string`
Default value : `'DD-MM-YYYY'`

id
Type : `string`

presentation
Type : `string`
Default value : `'date'`

showDefaultButtons
Type : `boolean`
Default value : `true`

size
Type : `string`
Default value : `'cover'`

value
Type : `string`

### HostBindings

class
Type : `string`
Default value : `'euim-toolbar-datepicker'`

### HostListeners

ionChange
Arguments : `'$event'`

### Methods

onIonChange
`onIonChange(event: CustomEvent)`
Decorators : `@HostListener('ionChange', ['$event'])`
Parameters :
Name | Type | Optional
event | `CustomEvent` | No
Returns : `void`

### Properties

className
Type : `string`
Default value : `'euim-toolbar-datepicker'`
Decorators : `@HostBinding('class')`

# results matching ""

# No results matching ""